QIconDragEvent(3qt)

NAME
QIconDragEvent - Signals that a main icon drag has begun

SYNOPSIS
#include <qevent.h>

Inherits QEvent.

  Public Members
QIconDragEvent ()
bool isAccepted () const
void accept ()
void ignore ()

DESCRIPTION
The QIconDragEvent class signals that a main icon drag has begun.

Icon drag events are sent to widgets when the main icon of a window has been dragged away. On Mac OS X this is fired when the proxy icon of a window is dragged off titlebar, in response to this event is is normal to begin using drag and drop.

See also Event Classes.

MEMBER FUNCTION DOCUMENTATION

QIconDragEvent::QIconDragEvent ()
Constructs an icon drag event object with the accept parameter flag set to FALSE.

See also accept().

void QIconDragEvent::accept ()
Sets the accept flag of the icon drag event object.

Setting the accept flag indicates that the receiver of this event has started a drag and drop oeration.

The accept flag is not set by default.

See also ignore() and QWidget::hide().

void QIconDragEvent::ignore ()
Clears the accept flag of the icon drag object.

Clearing the accept flag indicates that the receiver of this event has not handled the icon drag as a result other events can be sent.

The icon drag event is constructed with the accept flag cleared.

See also accept().

bool QIconDragEvent::isAccepted () const
Returns TRUE if the receiver of the event has started a drag and drop operation; otherwise returns FALSE.

See also accept() and ignore().

SEE ALSO
http://doc.trolltech.com/qicondragevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qicondragevent.3) and the Qt version (3.3.7).